#include <errno.h> /* errno */
#include <stdio.h> /* fprintf(3), stderr */
#include <stdlib.h> /* strtol(3) */
#include <sysexits.h> /* EX_USAGE */

int usage(char *s){
	fprintf(stderr, "Usage: %s [status]\n", s == NULL ? "retval" : s);
	return EX_USAGE;
}

int main(int argc, char *argv[]){

	switch(argc){
		case 2: { unsigned int s;
			errno = 0;
			s = strtol(argv[1], &argv[1], 10);
			if(*argv[1] != '\0' || errno != 0){
				return usage(argv[0]);
			}
			return s;
		}
		default: return usage(argv[0]);
	}
}
